conversations listlengths 2 3 | source stringclasses 1
value | stack stringclasses 1
value |
|---|---|---|
[
{
"from": "system",
"value": "Build failed on ubuntu and centos."
},
{
"from": "human",
"value": "#!/bin/bash\nmkdir $HOME/apache24\ncd $HOME/apache24\n\n# debian\nwhich apt-get > /dev/null 2>&1 && {\n\tsudo aptitude update || echo aptitude update hit problems but continuing anyway...\n\tsudo a... | shell | chosen |
[
{
"from": "system",
"value": "Use exec for running the OSX binary\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nDIR=$(dirname \"$0\")\n\"$DIR/perl-local\" -I\"$DIR/local-lib/lib/perl5\" \"$DIR/slic3r.pl\" $@\n"
},
{
"from": "gpt",
"value": "#!/bin/bash\n\nDIR=$(dirname \"$0\")\ne... | shell | chosen |
[
{
"from": "system",
"value": "Remove jekyll force_poling (forced high CPU usage)\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nsudo hostname leonardinius.galeoconsulting.com\n\ncd /vagrant \\\n && rm -rf ./_site \\\n && sudo jekyll serve \\\n --watch \\\n --force_polling \\\n --port ... | shell | chosen |
[
{
"from": "system",
"value": "Add shell script to install OpenShift locally\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\necho \"Setup Openshift\"\nminishift delete\nminishift start --vm-driver=xhyve --memory=6048 --deploy-registry=true --deploy-router=true --openshift-version=v1.3.1... | shell | chosen |
[
{
"from": "system",
"value": "Fix Travis on auto branch\n\nWhen homu runs its test on the aut branch, use the values given in the\ncommit range to make sure it passes.\n\nSigned-off-by: Nathan L Smith <2b5c240e6abd88e71ffc225b0459016e4cba9bda@chef.io>\n"
},
{
"from": "human",
"value": "#!/bin/sh... | shell | chosen |
[
{
"from": "system",
"value": "Delete temporary files created from sed\n"
},
{
"from": "human",
"value": "# Update code\ngit pull\n\n# Update dependencies\ncomposer update\n\n# Pull the latest version of the API\ngit clone https://github.com/TeenQuotes/api-documentation tmp-api\ncd tmp-api\n# The... | shell | chosen |
[
{
"from": "system",
"value": "Remove acpi from the buildbot configure script.\n"
},
{
"from": "human",
"value": "#!/bin/sh \n./configure --with-debug --with-components=\"example acpi net lustre coretemp\" $1 \n"
},
{
"from": "gpt",
"value": "#!/bin/sh \n./configure --with-debug --wit... | shell | chosen |
[
{
"from": "system",
"value": "Fix installation of neovim deps\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -e\n\ncurl -fsSL https://raw.githubusercontent.com/neovim/neovim/master/.ci/common.sh | source /dev/stdin\n\nset_environment /opt/neovim-deps\n\nif [ ! -d $TRAVIS_BUILD_DIR/_neovim... | shell | chosen |
[
{
"from": "system",
"value": "Correct replication script further (https and info message)\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\necho \"Warning this script will delete your geocommit and geocommit-web databases in couchdb on localhost:5984\"\nread -s -p \"Password for user geo... | shell | chosen |
[
{
"from": "system",
"value": "Fix CI check against binary data\n"
},
{
"from": "human",
"value": "#!/bin/bash\nif grep '\"image/png\":' -R . --include \"*.ipynb\"; then\n >&2 echo \"You may not check in binary data into the repository.\"\n >&2 echo \"See e.g. .jupyter/jupyter_notebook_conf... | shell | chosen |
[
{
"from": "system",
"value": "Update convert script to have sameq.\n\nThis has had a new version in my build folder forever, just never\ncommited it.\n"
},
{
"from": "human",
"value": "#!/usr/bin/sh\n\nffmpeg -y -f image2 -i %d_image.ppm video.mpg\n"
},
{
"from": "gpt",
"value": "#!/... | shell | chosen |
[
{
"from": "system",
"value": "Add alias for brew upgrade and cleanup\n"
},
{
"from": "human",
"value": "###########\n# GENERAL #\n###########\nalias l='ls -lah' # l for list style, a for all including hidden, h for human readable file sizes\nalias ..='cd ..' # move up 1 dir\nalias ...='cd ../..'... | shell | chosen |
[
{
"from": "system",
"value": "Check go generate on builds\n* Check if we have mismatching `go generate ./...` output on builds\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nif [ -n \"$(gofmt -l .)\" ]; then\n echo \"Go code is not formatted:\"\n gofmt -d .\n exit 1\nfi\n"
},
{
"fr... | shell | chosen |
[
{
"from": "system",
"value": "Make letstest docker ip more robust\n"
},
{
"from": "human",
"value": "#!/bin/bash -x\n\n# >>>> only tested on Ubuntu 14.04LTS <<<<\n\n# Check out special branch until latest docker changes land in Boulder master.\ngit clone -b docker-integration https://github.com/... | shell | chosen |
[
{
"from": "system",
"value": "feat(bazel-bot): Support cloning to non-default branches\n\nThe source and target branches are controlled using the\n`SOURCE_BRANCH` and `TARGET_BRANCH` environment variables. If a\nbranch variable isn't set, the default branch for the repo is used\ninstead. These environment v... | shell | chosen |
[
{
"from": "system",
"value": "Add some extra fpath's for Darwin\n"
},
{
"from": "human",
"value": "#!/bin/zsh\n\nif [[ `uname` != \"Darwin\" ]]; then\n return\nfi\n\nalias ls=\"ls -GF\"\nprepend-path /usr/local/bin\nprepend-path /usr/sbin\nprepend-path /sbin\n"
},
{
"from": "gpt",
"... | shell | chosen |
[
{
"from": "system",
"value": "Change version gems and dpl\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\ngem install gems -v 1.0.0\ngem install dpl -v 1.8.31\ndpl --provider=rubygems --api-key=$RUBY_GEMS_API_KEY --gemspec=./rrj.gemspec\n"
},
{
"from": "gpt",
"value": "#!/bin/bash\... | shell | chosen |
[
{
"from": "system",
"value": "Add geckodriver to PATH for Selenium tests on Travis-CI\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nwget \"http://selenium-release.storage.googleapis.com/3.3/selenium-server-standalone-3.3.1.jar\"\nsudo mv selenium-server-standalone-3.3.1.jar /usr/bin/selenium.j... | shell | chosen |
[
{
"from": "system",
"value": "Remove grunt from npm package installer\n\nI only use Grunt for a single project, and I can just use `npm exec` to\naccess the local grunt.\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nsource ~/dotfiles/setup/header.sh\n# Load in environment variables f... | shell | chosen |
[
{
"from": "system",
"value": "Make sure that all build folders are removed before generating docs\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -e\nset -u\n\ngit config --global user.email \"velocity-robot@xolv.io\"\ngit config --global user.name \"Velocity Robot\"\n\nrm -rf .build || tr... | shell | chosen |
[
{
"from": "system",
"value": "Fix for command line paramter count check.\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\n# Requirements: aws-cli & jq\n#\n# This script will register an IoT thing. Create, download and attach the keys and certificates and attach an all topics/actions pol... | shell | chosen |
[
{
"from": "system",
"value": "Comment lines doing the git commit; doing it in CI"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n# Try a different kind of shebang\n_hugobin=\"$HOME/gocode/bin/hugo\"\n_editbin=\"/usr/local/bin/nova\"\n_gitbin=\"/usr/local/bin/git\"\n_workingdir=\"$HOME/dev/... | shell | chosen |
[
{
"from": "system",
"value": "Fix the copying of the `SFMono` typeface\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\n# Copy the typefaces to the \"Fonts\" folder.\ninfo \"Copying typefaces...\"\n\nif ! test -n \"$(find ~/Library/Fonts -name 'SF Mono*.otf')\"; then\n for file in $(... | shell | chosen |
[
{
"from": "system",
"value": "Add branch to the title\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nfunction gitName {\n DIRECTORY='/.git'\n CURRENT=`pwd`\n\n until [ $CURRENT = '/' ]\n do\n if [ -d \"$CURRENT$DIRECTORY\" ]; then\n NAME=$(basename $(git remote show -n origin | gr... | shell | chosen |
[
{
"from": "system",
"value": "Correct backup and copy logic.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n#------------------------------------------------------------\n# Install bash profile and RC files from this project.\n#------------------------------------------------------------\n\nsaf... | shell | chosen |
[
{
"from": "system",
"value": "Add --no-update option to add-apt-repository\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nif [ $UID -ne 0 ]; then\n echo 'requires superuser privilege' 1>&2\n exit 13\nfi\n\n# https://github.com/golang/go/wiki/Ubuntu\nadd-apt-repository ppa:longsl... | shell | chosen |
[
{
"from": "system",
"value": "Fix SSH permissions for Travis\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -e\neval \"$(ssh-agent -s)\"\nopenssl aes-256-cbc -K $encrypted_fa51861454fb_key -iv $encrypted_fa51861454fb_iv -in travis/deploy.enc -out travis/deploy -d\nssh-add travis/deploy\ngit... | shell | chosen |
[
{
"from": "system",
"value": "Make sure the HOME variable is exported and available before rabbitmq\nstarts.\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\n# Set username and password in config\n: =${RABBITMQ_USER:='guest'}\n: =${RABBITMQ_PASSWORD:='guest'}\n\nsed -i 's|%%RABBITMQ_USE... | shell | chosen |
[
{
"from": "system",
"value": "Change gunicorn timeout to 120\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# D4S2 Service startup script\n\nset -e\n\nif [ -z \"$POSTGRES_HOST\" ]; then\n echo \"ERROR: Please set POSTGRES_HOST\"\n exit 1\nfi\n\n# 1. Wait for postgres to be ready\nuntil pg_i... | shell | chosen |
[
{
"from": "system",
"value": "Change to 8443 port for gui\n"
},
{
"from": "human",
"value": "cd /gui\npip install -r requirements.txt -f file:/gui/packages/\npython manage.py syncdb --noinput\npython manage.py migrate\nchmod 660 /gui/openstack.db\nchown root.www-data /gui/openstack.db\nln -s /gu... | shell | chosen |
[
{
"from": "system",
"value": "Revert \"Temporarily pin `conda` to `4.1.x` so that `conda-smithy` works.\"\n\nThis reverts commit 566bc1ccc734f4a1d87632aed38a358c0dbd616d.\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\nset -x\n\nSTORAGE_LOCN=$(pwd)\n\n# ----------\n\nmkdir -p \"$1\" \"$2... | shell | chosen |
[
{
"from": "system",
"value": "Update circle build to set release.version to the tag being built\n"
},
{
"from": "human",
"value": "#!/bin/bash\n# This script will build the project.\n\nSWITCHES=\"-s --console=plain\"\n\nif [ $CIRCLE_PR_NUMBER ]; then\n echo -e \"Build Pull Request #$CIRCLE_PR_N... | shell | chosen |
[
{
"from": "system",
"value": "Fix error in `pip install` command.\n\nPiperOrigin-RevId: 341479312\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Copyright 2020 Google LLC\n#\n# Licensed under the Apache License, Version 2.0 (the \"License\");\n# you may not use this file except in complianc... | shell | chosen |
[
{
"from": "system",
"value": "Make sure that executables are always built fresh\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nset -e\n\nproject=$1\n\nmkdir -p projects\ncd projects\n\n# Clone the project if necessary\nif [ ! -d $project ]; then\n git clone https://github.com/elm-lang/$proje... | shell | chosen |
[
{
"from": "system",
"value": "Fix script path detection on macOS\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nPREVDIR=$(pwd)\nSCRIPT=$(readlink -f $0)\nROOT=`dirname $SCRIPT`\n\ncd $ROOT/IXWebSocket\ngit reset --hard 8c15405\npatch -s -p1 < ../cerrno_include.patch\ngit -c user.name='CryptoM... | shell | chosen |
[
{
"from": "system",
"value": "Resolve a bug when running JavaScript tests.\n\nIn case user-data-dir is not present, run_js_tests.sh script will fail.\nThis CL resolves this issue.\n\nBUG=chromium:388077\nChange-Id: I02bbf28543b23b487af5c59843e96b83657acebd\n"
},
{
"from": "human",
"value": "#!/b... | shell | chosen |
[
{
"from": "system",
"value": "Fix for CI android build\n"
},
{
"from": "human",
"value": "echo \"\"\necho \"# Executing https://raw.github.com/embarkmobile/android-sdk-installer\"\necho \"\"\n\ncurl -L https://raw.github.com/embarkmobile/android-sdk-installer/version-2/android-sdk-installer \\\n... | shell | chosen |
[
{
"from": "system",
"value": "Add missing docco. Use .bin folder for dev deps.\n"
},
{
"from": "human",
"value": "#!/bin/sh\nvows=\"./node_modules/vows/bin/vows\"\n[ ! -x $vows ] && cd ..\nif [ ! -x $vows ]; then\n echo \"Unable to run Vows.\" >&2\n echo \"Try \\`make install-dev\\` to ins... | shell | chosen |
[
{
"from": "system",
"value": "Update scripts to latest version\n"
},
{
"from": "human",
"value": "#!/usr/bin/env sh\ntest -e ~/.coursier/coursier || ( \\\n mkdir -p ~/.coursier && \\\n curl -Lso ~/.coursier/coursier https://git.io/vgvpD && \\\n chmod +x ~/.coursier/coursier \\\n)\n\n~/.coursi... | shell | chosen |
[
{
"from": "system",
"value": "Add some quotes to avoid splitting\n"
},
{
"from": "human",
"value": "fpath=(${HOME}/.config/zsh/completions ${fpath})\nsetopt completealiases\nzstyle ':completion:*' rehash true\nzstyle ':completion:*' menu select\nautoload -U compinit\ncompinit\n"
},
{
"fr... | shell | chosen |
[
{
"from": "system",
"value": "Add ccov and ccuv aliases\n"
},
{
"from": "human",
"value": "#-------------------------------------------------------------------------------\n#\n# ios/carthage.zsh\n# Carthage aliases\n#\n#----------------------------------------------------------------------------... | shell | chosen |
[
{
"from": "system",
"value": "Remove old repository from the enable-repos script\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Enables all the repositories that are required for IPA installation\n\nsudo dnf copr enable mkosek/freeipa-master -y\nsudo dnf copr enable edewata/pki-fedora -y\ns... | shell | chosen |
[
{
"from": "system",
"value": "Remove destination support from rpms install script\n"
},
{
"from": "human",
"value": "#! /bin/bash\n\nif [[ `rpm -qa | grep freeipa` != '' ]]\nthen\n sudo ipa-server-install --uninstall -U\n sudo pkidestroy -s CA -i pki-tomcat\n sudo rm -rf /var/log/pki/pki-tomc... | shell | chosen |
[
{
"from": "system",
"value": "Fix incorrect color on closing paren in git prompt.\n"
},
{
"from": "human",
"value": "# Originally based on steeef\n# https://github.com/sorin-ionescu/prezto/blob/master/modules/prompt/functions/prompt_steeef_setup\n\n# Functions\n## Working Directory\nfunction get... | shell | chosen |
[
{
"from": "system",
"value": "Use PYTHON env variable instead of hardcoded python3.4 executable for pipeline test runner\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nexport PATH=\"/tmp/bin/:$PATH\"\nexport REDIS_URL='redis://localhost:6379/0'\nexport RSYNC_URL='rsync://localhost/tmp/' LOG_C... | shell | chosen |
[
{
"from": "system",
"value": "Make sure script gets run at the appropriate time (added a REQUIRES).\n"
},
{
"from": "human",
"value": "#!/bin/sh\n#\n# EMULAB-COPYRIGHT\n# Copyright (c) 2000-2012 University of Utah and the Flux Group.\n# All rights reserved.\n#\n# PROVIDE: testbed\n#\n\n. /etc/em... | shell | chosen |
[
{
"from": "system",
"value": "Check for site-packages and if it doesn't exist symlink to the built directory\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n/etc/init.d/ssh start\n/etc/init.d/postgresql start\n/etc/init.d/redis-server start\nnohup mongod &\n\n/bin/bash\n"
},
{
"from": ... | shell | chosen |
[
{
"from": "system",
"value": "Add an alias to run phpspec for the last edited spec file\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nfunction fixFormattingOnPhpSpecFiles ()\n{\n echo -ne \"Fixing SPEC files... \\033[36mcleaning\\033[0m\"\\\\r\n bin/php-cs-fixer fix --fixers=-visibility ... | shell | chosen |
[
{
"from": "system",
"value": "Check Formatting: Reformat file with `shfmt`\n"
},
{
"from": "human",
"value": "@INCLUDE_COMMON@\n\necho\necho ELEKTRA CHECK FORMATTING\necho\n\ncommand -v git >/dev/null 2>&1 || { echo \"git command needed for this test, aborting\" >&2; exit 0; }\n\ncd \"@CMAKE_SOU... | shell | chosen |
[
{
"from": "system",
"value": "bastion: Install systemd into the image\n\n`systemd` has been present for `fedora` images up to version 31. In\r\nversion 32 it has been dropped. `cockpit-ws` requires this package.\r\n\r\nCloses #14527"
},
{
"from": "human",
"value": "#!/bin/sh\n\nset -ex\n\nif [ -... | shell | chosen |
[
{
"from": "system",
"value": "Make cleaner diffs by munging the $FreeBSD$s from the FreeBSD CVS sources back\ninto the new sources.\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\n# $FreeBSD$\n\ncp /usr/src/drm/bsd-core/*.[ch] .\nrm i810*.[ch]\nrm via*.[ch]\n\n# Replace drm_pciids.h with one wit... | shell | chosen |
[
{
"from": "system",
"value": "Update build script for vendored BLAS.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nfor file in *.f; do ftn -O3 -c $file; done\ngcc main.cc dgemm.o dgesv.o dgetrf.o dgetrf2.o dgetrs.o dlaswp.o dtrsm.o xerbla.o lsame.o ilaenv.o idamax.o dlamch.o dscal.o i... | shell | chosen |
[
{
"from": "system",
"value": "Remove bogus \"-\" from nomz=\"ps -aux\" alias.\n\nInfo from http://procps.sourceforge.net/faq.html .\n"
},
{
"from": "human",
"value": "# LOL!!1\n# Source: http://aur.archlinux.org/packages/lolbash/lolbash/lolbash.sh\n\nalias wtf='dmesg'\nalias onoz='cat /var/log/e... | shell | chosen |
[
{
"from": "system",
"value": "Add bash completion for npm\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nfunction set_nodejs_env()\n{\n local NODEJS_PREFIX=\"/opt/nodejs\"\n\n for nodejs_root in $NODEJS_PREFIX/node-v*;do\n local nodejs_bin_dir=$nodejs_root/bin\n if [[ -x $nodejs_bin_d... | shell | chosen |
[
{
"from": "system",
"value": "Fix Changelog Links Script for null provider\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# This script rewrites [GH-nnnn]-style references in the CHANGELOG.md file to\n# be Markdown links to the given github issues.\n#\n# This is run during releases so that th... | shell | chosen |
[
{
"from": "system",
"value": "Fix tests by updating fact\n"
},
{
"from": "human",
"value": "#!/bin/bash -e\n\n# Run some basic tests for the Puppet modules and manifest.\n\n# Find and parse-check all the .pp files\nfind modules -iname '*.pp' |\\\n xargs puppet parser validate --color false --... | shell | chosen |
[
{
"from": "system",
"value": "Add a travis ros install\n"
},
{
"from": "human",
"value": "#!/bin/bash -xve\n\n#required packages\npip install catkin_pkg\npip install empy\npip install pyyaml\npip install rospkg\n\n#ros install\ncd ..\ngit clone https://github.com/HiroyukiAbe/ros_setup_scripts_Ub... | shell | chosen |
[
{
"from": "system",
"value": "Check if rtmp redirect url is non empty\n"
},
{
"from": "human",
"value": "#!/bin/bash\nname=$1\nid=$2\nrtmp_url=`curl http://www.watchpeoplecode.com/admin/streamer/$name/rtmp_redirect/$id`\n/usr/bin/avconv -analyzeduration 1000000 -i rtmp://localhost/live/$1 -c:v c... | shell | chosen |
[
{
"from": "system",
"value": "Allow for running a subset of unit tests\n\nSigned-off-by: Mark Syms <655512b2a8f1aba6e4085462b623575da824f038@citrix.com>\n"
},
{
"from": "human",
"value": "#!/bin/bash\n#set -eux # for debug only\nset -eu\n\nSMROOT=$(cd $(dirname $0) && cd .. && pwd)\n\nif [ ! -v... | shell | chosen |
[
{
"from": "system",
"value": "Upgrade to Docker 19.03.8 in CI\n\nSee gh-20756\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -e\n\nversion=\"19.03.7\"\necho \"https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz\";\n"
},
{
"from": "gpt",
"value": "#!/bin/ba... | shell | chosen |
[
{
"from": "system",
"value": "Update Xcode on CI to 11.5\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nsudo xcode-select -s /Applications/Xcode_11.4.app/Contents/Developer\n"
},
{
"from": "gpt",
"value": "#!/bin/bash\n\nsudo xcode-select -s /Applications/Xcode_11.5.app/Contents/D... | shell | chosen |
[
{
"from": "system",
"value": "Revert \"Try multi cpu arch (3)\"\n\nThis reverts commit 3062dde3\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nset +e\n\nif [[ -z \"$1\" ]]\nthen\n echo \"\"\n echo \"build.sh <VERSION e.g 7.2> [DOCKERLOGIN] [DOCKERPASSWORD] [REGISTRY]\"\n echo... | shell | chosen |
[
{
"from": "system",
"value": "sscall: Add sample OpenBSD recording script\n\nSigned-off-by: Dimitris Papastamos <a91262282f71bb8488398dcc9202f777d0206664@opensource.wolfsonmicro.com>\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\naucat -r 8000 -o -\n"
},
{
"from": "gpt",
"value": "#... | shell | chosen |
[
{
"from": "system",
"value": "Fix double slash in S3 path.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -eo pipefail\n\necho \"Job started: $(date)\"\n\nDATE=$(date +%Y%m%d_%H%M%S)\n\nif [[ -z \"$TARGET_FOLDER\" ]]; then\n # dump directly to AWS S3\n\n if [[ -z \"$TARGET_S3_FOLDER... | shell | chosen |
[
{
"from": "system",
"value": "Tweak on the badge generation script.\n"
},
{
"from": "human",
"value": "#! /bin/sh\n\nCOV=$(coverage report | tail -n 1 | rev | cut -f 1 -d \" \" | rev)\n\nif [[ $COV < \"50%\" ]] ; then\n COLOUR=red;\nelif [[ $COV < \"75%\" ]] ; then\n COLOUR=orange ;\nelif [[ $... | shell | chosen |
[
{
"from": "system",
"value": "Fix for detecting utf-8. Make chardet output lowercase.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nwhile (( \"$#\" )); do\n detected=$(chardetect \"$1\" | awk -F': ' 'NR==1 {print $NF}')\n if [ \"${detected#*utf-8}\" != \"$detected\" ]; then\n pr... | shell | chosen |
[
{
"from": "system",
"value": "chore(Release): Use uppercase C to change dir\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\necho \"Generating release $1\"\n\n# Update the version in the manager\nsed -i -e \"s!__version__ = .*!__version__ = \\\"$1\\\"!g\" manager/manager/version.py\n\n# Update th... | shell | chosen |
[
{
"from": "system",
"value": "Remove previous build files as they were sometimes reused by the next build\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\ncurrent_path=$(pwd)\n\ncd $(dirname \"$0\")\n\necho \"(define execute () $1)\" > ../generated/test.lisp\nbuild_output=$(node reuse.js ../gen... | shell | chosen |
[
{
"from": "system",
"value": "Use generic user for both zuul v2 and v3\n\nZuul v2 uses 'jenkins' as user, but Zuul v3 uses 'zuul'.\nUsing $USER solves it for both cases.\n\nChange-Id: Ifb7fb3c7028054e773c0f5a0e8c29807b5d187d3\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -xe\n\nCASTELLAN... | shell | chosen |
[
{
"from": "system",
"value": "Allow multiple arguments in Bash script to help with migration\n\n"
},
{
"from": "human",
"value": "#! /bin/bash\n\nfind $1 -type f -print0 | xargs -0 sed -i -r \\\n -e 's/Drupal\\\\wmcontroller\\\\Entity\\\\(AbstractPresenter|HasPresenterInterface|PresenterInterfa... | shell | chosen |
[
{
"from": "system",
"value": "Call the correct rspec on the ci\n"
},
{
"from": "human",
"value": "#!/bin/bash\necho \"Running unit tests\"\n\nOUTPUTFILE=$(tempfile)\n\n\nrspec spec-unit | tee \"$OUTPUTFILE\"\ncat \"$OUTPUTFILE\" | grep ', 0 failures' || exit 1\n\nexit\n"
},
{
"from": "gp... | shell | chosen |
[
{
"from": "system",
"value": "Fix if clause in deploy script\n\nAdd some diagnostic echos at the end.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n#\n# Push the built HTML pages to the gh-pages branch.\n# Only runs if this is not a pull request and is on the master branch.\n#\n# Based on\n# h... | shell | chosen |
[
{
"from": "system",
"value": "Fix \"add-apt-repository\" not found error\n\nThanks to @masamasa9841\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\nset -eu\nsudo add-apt-repository ppa:jonathonf/vim\nsudo apt-get update\nsudo apt-get install vim\n"
},
{
"from": "gpt",
"value"... | shell | chosen |
[
{
"from": "system",
"value": "Remove src/version.py before running 2to3.\n"
},
{
"from": "human",
"value": "cp locale/ py3k/ -R\ncp plugins/ py3k/ -R # copy plugins data\npython 2to3/run.py src/ plugins/ test/ scripts/* setup.py -wWno py3k -f all -f def_iteritems -f def_itervalues -f def_iterkey... | shell | chosen |
[
{
"from": "system",
"value": "Remove assumption about directory structure, allowing packaged QA scripts to work\n"
},
{
"from": "human",
"value": ". /etc/pcp.env\n\nexport PCP_STDERR=\"\"\n\ncase `pwd`\nin\n */qa)\n \texport PATH=.:`cd ..; pwd`:$PATH\n\t;;\n *)\n\techo \"Warning: not in... | shell | chosen |
[
{
"from": "system",
"value": "Use -p flag on mkdir.\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nset -e\nset -x\n\nOUTDIR=$(dirname $0)/../out\n\nif [ ! -d out ]; then\n mkdir out\nfi\n\nGOARCH=amd64 GOOS=linux go build -o rtr && mv rtr $OUTDIR/rtr-linux-amd64\nGOARCH=amd64 GOOS=darwin go bu... | shell | chosen |
[
{
"from": "system",
"value": "Add api and code endpoints to netrc\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\ncat >> ~/.netrc << EOF\nmachine dyno.heroku.com\n login $HEROKU_TOOLBELT_API_EMAIL\n password $HEROKU_TOOLBELT_API_PASSWORD\nEOF\n"
},
{
"from": "gpt",
"value... | shell | chosen |
[
{
"from": "system",
"value": "Fix startup mount error on Parallels 14 guest tools\n"
},
{
"from": "human",
"value": "#!/bin/sh -eux\n\n# set a default HOME_DIR environment variable if not set\nHOME_DIR=\"${HOME_DIR:-/home/vagrant}\";\n\ncase \"$PACKER_BUILDER_TYPE\" in\nparallels-iso|parallels-p... | shell | chosen |
[
{
"from": "system",
"value": "Change webkit source to https\n\nCloses #18."
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Copyright 2004-present Facebook. All Rights Reserved.\n\nset -e\n\ncd \"$(dirname \"$0\")\"\n\necho \"Downloading ICU\"\ncurl -o icu4c.tar.gz https://android.googlesource.... | shell | chosen |
[
{
"from": "system",
"value": "Use --password-stdin instead of --password\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nif [ \"$TRAVIS_BRANCH\" = \"master\" -a \"$TRAVIS_OS_NAME\" = \"linux\" ]; then\n docker login -u $DOCKER_USER -p $DOCKER_PASS\n docker build -t $DOCKER_USER/cwl-inspect... | shell | chosen |
[
{
"from": "system",
"value": "Move redis log message so it always is wrtten\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\n#\n# Description: configures osx cli utilities\n#\n\nif [ -n \"$DEBUG\" ]; then\n echo \"$0: Setting bash option -x for debug\"\n PS4='+($(basename ${BASH_SOURCE}):${LINE... | shell | chosen |
[
{
"from": "system",
"value": "Use alternative bash function syntax\n"
},
{
"from": "human",
"value": "\nnpm2svg() {\n npm ls --json \"$@\" | npx npm2dot | grep -v \"undefined\" | twopi -Tsvg -o out.svg -Goverlap=false\n open -a \"Google Chrome\" out.svg\n}\n\nfunction title {\n echo -ne \"\\0... | shell | chosen |
[
{
"from": "system",
"value": "Update NATS Server to latest release v0.9.4 for tests\n\nThe install gnatsd script now downloads the v0.9.4 NATS Server.\n"
},
{
"from": "human",
"value": "#!/bin/sh\nset -e\n# check to see if gnatsd folder is empty\nif [ ! \"$(ls -A $HOME/gnatsd)\" ]; then\n mkdir... | shell | chosen |
[
{
"from": "system",
"value": "Use curl to download files instead of wget\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\n[[ $DEBUG == true ]] && set -x\n\nlog_info(){\n >&2 echo \"INFO>\" $@\n}\n\nget_asn(){\n\tlocal CONF_FILE=$1\n\tunset PATTERN\n\tunset COUNTRY\n\tsource $CONF_FIL... | shell | chosen |
[
{
"from": "system",
"value": "Add GitHub commit URL to commit message\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nfunction die_with() { echo \"$*\" >&2; exit 1; }\n\necho \"Checking if commit is a pull request\"\nif [ $TRAVIS_PULL_REQUEST == true ]; then die_with \"Skipping deployment for ... | shell | chosen |
[
{
"from": "system",
"value": "Revert \"add npm install to build script\"\n\nThis reverts commit 2fa9e26ddba288aa5249d45f4bbfe4457f14f671.\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -e # exit with nonzero exit code if anything fails\n\n# clear and re-create the public directory\nrm -rf p... | shell | chosen |
[
{
"from": "system",
"value": "Comment out call to goose, it's broken\n\nCan't get it to use the env var on remote box, will look at that later.\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\ncd dbtool\ngo build\ncd ..\ngo build\nkillall rtfblog\ngo test\n\npackage=./package\nmkdir -p $package\n... | shell | chosen |
[
{
"from": "system",
"value": "Add working directory variable to make script work from any location\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -euo pipefail\nIFS=$'\\n\\t'\n\n# Initialize empty git repo\ngit init\n\n# Create LICENSE\ntouch LICENSE\n\n# Create README.md\ntouch README.md\n... | shell | chosen |
[
{
"from": "system",
"value": "Increase the number of test check tests for master.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -e\n\ni=0\nfiles=\"\"\n\nTEST_NSES=$(find test -name \"*.clj\" |sed s/test\\\\///|sed s/\\\\//\\\\./g|sed s/\".clj$\"//|sed s/\"_\"/\"-\"/g|tr '\\n' ' '|sort)\n... | shell | chosen |
[
{
"from": "system",
"value": "Fix problem with keyboard brightness\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nCONTROL_FILE='/tmp/kb-brightness-control.nid'\n\nif [ -e $CONTROL_FILE ]; then\n\tNID=`cat $CONTROL_FILE`\nelse\n\tNID=`notify-send \"Keyboard Brightness\" -t 500 -p`\n\techo $NID >... | shell | chosen |
[
{
"from": "system",
"value": "Use -F option for uploading files\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -e\n\n# Generate files\n./gradlew jar javadocJar sourcesJar\n\nbase_url=\"https://acconut:$BINTRAY_TOKEN@api.bintray.com/\"\nversion=\"$TRAVIS_TAG\"\n\n# Create new version\ncurl... | shell | chosen |
[
{
"from": "system",
"value": "Fix bug with missing whitespace\n"
},
{
"from": "human",
"value": "# git\nsource ~/.config/bash/bundle/git-prompt/git-prompt.sh\n\n# vi mode\nset -o vi\n\n# virtualenvs\nif [ -x /etc/bash_completion.d/virtualenvwrapper] ; then\n source /etc/bash_completion.d/virt... | shell | chosen |
[
{
"from": "system",
"value": "Add an app name so it gets deployed consistently\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Download the cf cli\nwget 'https://cli.run.pivotal.io/stable?release=linux64-binary&source=github' -O cf.tar.gz\ntar zxvf cf.tar.gz -C bin\nexport PATH=$PATH:$(pwd)/... | shell | chosen |
[
{
"from": "system",
"value": "Add sync-settings to required Atom packages\n"
},
{
"from": "human",
"value": "# Get or update all the grunt-init templates\nclone_or_pull ssh://git@ssh.stash.abc-dev.net.au:7999/news/template-interactive-gruntinit.git ~/.grunt-init/abc-interactive\n\n# ABC Proxyles... | shell | chosen |
[
{
"from": "system",
"value": "Fix a script for Travis CI: fix the path to libkytea\n"
},
{
"from": "human",
"value": "#!/bin/bash -x\nset -o errexit\nset -o nounset\ngit clone https://github.com/tetsuok/kytea libkytea\ncd libkytea\n. ci_config.sh\nbash ./setup_gtest.sh\nbash ./gyp/install_gyp.sh... | shell | chosen |
[
{
"from": "system",
"value": "Print environment variables being set (debugging)\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nset -e\n\nexport GOOGLE_CREDENTIALS_FILE=\"/tmp/google-account.json\"\nexport GCLOUD_PROJECT=\"terraform-ci-acc-tests\"\nexport TF_ACC=1\nexport GOOGLE_REGION... | shell | chosen |
[
{
"from": "system",
"value": "Switch to tag v3.5.0, using original jhipster\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nexport JHIPSTER_REPO=https://github.com/pascalgrimaud/generator-jhipster.git\nexport JHIPSTER_BRANCH=v3.5.0\nexport JHIPSTER_NODE_CACHE=1\n\nexport PROFILE=dev\nexport RU... | shell | chosen |
[
{
"from": "system",
"value": "Update rbenv installer\nIt helps if you actually run rbenv install instead of just attempting to execute the name of the ruby version!\n"
},
{
"from": "human",
"value": "#!/bin/sh\nRBENV_EVAL='eval \"$(rbenv init -)\"'\nRBENV_VERSION='1.9.3-p448'\n\nif brew list | g... | shell | chosen |
[
{
"from": "system",
"value": "Set terminal column width to 80 so progressbar works in TTY\n\nSigned-off-by: Marco Voelz <46e670daac32cff840d1e50cdf9351c443be1923@sap.com>\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -e\nset -x\n\nif [ \"$1\" == \"\" ]; then\n echo \"At least one argume... | shell | chosen |
[
{
"from": "system",
"value": "Fix Jenkins script to exit on error\n"
},
{
"from": "human",
"value": "RUNTIME_NAME=\"python\"\n\nCANDIDATE_NAME=`date +%Y-%m-%d_%H_%M`\necho \"CANDIDATE_NAME:${CANDIDATE_NAME}\"\n\nIMAGE_NAME=\"${DOCKER_NAMESPACE}/${RUNTIME_NAME}:${CANDIDATE_NAME}\"\n\nexport IMAGE... | shell | chosen |
End of preview. Expand in Data Studio
README.md exists but content is empty.
- Downloads last month
- 3